<?php
/************************************************************************
 * This file is part of EspoCRM.
 *
 * EspoCRM - Open Source CRM application.
 * Copyright (C) 2014  Yuri Kuznetsov, Taras Machyshyn, Oleksiy Avramenko
 * Website: http://www.espocrm.com
 *
 * EspoCRM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * EspoCRM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EspoCRM. If not, see http://www.gnu.org/licenses/.
 ************************************************************************/

class AfterUpgrade
{
    public function run($container)
    {
        $entityManager = $container->get('entityManager');

        $inboundEmailList = $entityManager->getRepository('InboundEmail')->find();

        foreach ($inboundEmailList as $inboundEmail) {
            $teamId = $inboundEmail->get('teamId');
            if ($teamId) {
                $sql = "
                    INSERT INTO inbound_email_team (inbound_email_id, team_id)
                    VALUES
                    ('".$inboundEmail->id."', '".$teamId."')
                ";
                $entityManager->getPDO()->query($sql);
            }
        }

        $config = $container->get('config');

        $languageList = $config->get('languageList', []);
        if (!in_array('nb_NO', $languageList)) {
            $languageList[] = 'nb_NO';
        }
        if (!in_array('da_DK', $languageList)) {
            $languageList[] = 'da_DK';
        }
        if (!in_array('zh_CN', $languageList)) {
            $languageList[] = 'zh_CN';
        }
        $config->set('languageList', $languageList);
        $config->save();
    }
}
